Cómo instalar phpshield loaders en CentOS

Dificultad: Fácil
Tiempo de Lectura: < 1

phpShield se utiliza para codificar código PHP.

Es útil para proteger el código PHP de manera que no pueda ser leído por terceros.
Puede correr sobre Linux, Windows, Mac, ETC.
Actualmente tiene un precio de 99 Dólares y se puede aquirir en http://www.phpshield.com/

Cuando tenemos código encriptado mediante phpShield en el servidor vamos a necesitar un decodificador para que el webserver lo pueda interpretar correctamente.

Vamos a ver como instalar los loaders en CentOS.

Descargamos los loaders desde http://www.phpshield.com/loaders/index.php

Descomprimimos el archivo

tar -xvpzf ixed4.lin.x86-64.zip

Veremos que luego de la extracción tenemos diversos archivos para distintas versiones de PHP, claro que vamos a seleccionar el que corresponda a nuestra versión de PHP en el servidor.

En este caso usaremos la versión para PHP 5.3 de 64 bits.

Copiamos el archivo seleccionado a la ruta correspondiente:

cp ixed.5.3* /usr/lib64/php/modules/ -fv

Para 64 bits: /usr/lib64/php/modules/

Para 32 bits: /usr/lib/php/modules/

Por último, cargamos la extensión desde /etc/php.ini agregando estas líneas al final del archivo:

extension="ixed.5.3.lin"
extension="ixed.5.3ts.lin"

Ahora solo resta reiniciar el servidor web, en este caso apache, y vemos si tomó el decodificador:

service httpd restart
php -i | grep shield -i
phpSHIELD Support => enabled

¿Te resultó útil el artículo? Compártelo con tus colegas: